> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Directory Revisions

> List revision history for a directory, ordered newest first.



## OpenAPI

````yaml /api-reference/openapi.json get /directories/{directory_id}/revisions
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /directories/{directory_id}/revisions:
    get:
      tags:
        - Directories
      summary: List Directory Revisions
      description: List revision history for a directory, ordered newest first.
      operationId: get_Directories_directories_directory_id_revisions
      parameters:
        - name: directory_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Directory Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevisionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RevisionListResponse:
      properties:
        revisions:
          items:
            $ref: '#/components/schemas/RevisionSummary'
          type: array
          title: Revisions
      type: object
      required:
        - revisions
      title: RevisionListResponse
      description: API response schema for listing revision history
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RevisionSummary:
      properties:
        revision_id:
          type: string
          format: uuid
          title: Revision Id
        revision_type:
          $ref: '#/components/schemas/RevisionType'
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        name:
          type: string
          title: Name
        manifest_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Manifest Id
        base_revision_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Base Revision Id
        client_performed_at:
          type: string
          format: date-time
          title: Client Performed At
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by_user_id:
          type: string
          format: uuid
          title: Created By User Id
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        parent_directory_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Directory Id
        parent_directory_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Directory Name
      type: object
      required:
        - revision_id
        - revision_type
        - size_bytes
        - name
        - manifest_id
        - base_revision_id
        - client_performed_at
        - created_at
        - created_by_user_id
      title: RevisionSummary
      description: Summary of a single revision for listing.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RevisionType:
      type: string
      enum:
        - CREATED
        - CONTENT
        - RENAMED
        - MOVED
        - DELETED
      title: RevisionType
      description: Types of fs item revisions.
    UserInfo:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: User ID
        first_name:
          type: string
          title: First Name
          description: User's first name
        last_name:
          type: string
          title: Last Name
          description: User's last name
        email:
          type: string
          title: Email
          description: User's email address
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
          description: User's avatar URL
      type: object
      required:
        - id
        - first_name
        - last_name
        - email
      title: UserInfo
      description: Lightweight user information for API responses
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````